<?php

namespace Drupal\sso_connector\Authentication\Provider;

use Drupal\user\Authentication\Provider\Cookie as CoreCookie;
use Symfony\Component\HttpFoundation\Request;

/**
 * Extends original cookie provider.
 */
class CustomCookie extends CoreCookie {

  /**
   * {@inheritdoc}
   */
  public function applies(Request $request) {
    $applies = $request->hasSession() && $this->sessionConfiguration->hasSession($request);

    // Overwrite it empty.
    if (!$applies && $request->query->has('check_logged_in')) {
    }

    return $applies;
  }

}
